Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.geom
Class Frustum

    java.lang.Object
      gov.nasa.worldwind.geom.Frustum

    public class Frustum

extends Object

Instances of `Frustum` are immutable.

Constructor Summary
`Frustum()` Create a default frustum with six `Plane`s.
`Frustum(Plane near, Plane far, Plane left, Plane right, Plane bottom, Plane top)` Create a frustum from six `Plane`s, which define its boundaries.

Method Summary
`boolean` | `contains(Point point)`
`boolean` | `equals(Object o)`
`Plane` | `getBottom()` Obtain the bottom `Plane`.
`Plane` | `getFar()` Obtain the far `Plane`.
`Frustum` | `getInverseTransformed(Matrix m)`
`Plane` | `getLeft()` Obtain the left `Plane`.
`Plane` | `getNear()` Obtain the near `Plane`.
`Plane` | `getRight()` Obtain the right `Plane`.
`Plane` | `getTop()` Obtain the top `Plane`.
`int` | `hashCode()`
`boolean` | `intersects(Extent extent)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Frustum

    public Frustum()

  Create a default frustum with six `Plane`s. This defines a box of dimension (2, 2, 2) centered at the origin.

### Frustum

    public Frustum(Plane near,
                   Plane far,
                   Plane left,
                   Plane right,
                   Plane bottom,
                   Plane top)

  Create a frustum from six `Plane`s, which define its boundaries. Does not except null arguments.

  Parameters:
    `near` - the near plane
    `far` - the far plane
    `left` - the left side of the view frustum
    `right` - the right side of the view frustm
    `top` - the top of the view frustum
    `bottom` - the bottom of the view frustum
  Throws:
    `IllegalArgumentException` - if any argument is null

Method Detail

### contains

    public final boolean contains(Point point)

  Parameters:
    `point` -
  Returns:
  Throws:
    `IllegalArgumentException` - if `point` is null

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getBottom

    public final Plane getBottom()

  Obtain the bottom `Plane`.

  Returns:
    the bottom `Plane`

### getFar

    public final Plane getFar()

  Obtain the far `Plane`.

  Returns:
    the far `Plane`

### getInverseTransformed

    public final Frustum getInverseTransformed(Matrix m)

  Parameters:
    `m` -
  Returns:
  Throws:
    `IllegalArgumentException` - if `m` is null

### getLeft

    public final Plane getLeft()

  Obtain the left `Plane`.

  Returns:
    the left `Plane`

### getNear

    public final Plane getNear()

  Obtain the near `Plane`.

  Returns:
    the near `Plane`

### getRight

    public final Plane getRight()

  Obtain the right `Plane`.

  Returns:
    the right `Plane`

### getTop

    public final Plane getTop()

  Obtain the top `Plane`.

  Returns:
    the top `Plane`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### intersects

    public final boolean intersects(Extent extent)

  Parameters:
    `extent` -
  Returns:
  Throws:
    `IllegalArgumentException` - if `extent` is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD